2 Replies Latest reply on Jun 14, 2012 2:25 PM by SolarWinds Community Team

    pushing an update for iTunes

    SolarWinds Community Team

       

      I downloaded the content, and published the update, and now am trying to push the iTunes 10.4.1.10 to a couple of machines that do not have that version of iTunes. When I run the task, it fails at the download section. It tells me in task history that "UPdate not applicable. Unable to find the Update by ID to perform the requested operation. The update may not be applicable for teh selected computer result Code: 0x80240003. Can someone help tell me what I'm doing wrong?

       

      Dave Prather

        • Re: pushing an update for iTunes
          SolarWinds Community Team

           

          Hi Dan,

          Typically that error means just that - the Prerequisite or Applicability rules for those particular clients are not evaluating as TRUE, and therefore the WU agent evaluates the update as Not Applicable.  I'd review those Rules against one of the clients you are attempting to update.

          -Kelly

            • Re: pushing an update for iTunes
              SolarWinds Community Team

               

              Greetings Dan.

              In this instance, some of the prerequisites are expressly described in the package description, and I would imagine are almost certainly the primary contributing factor:

              This package requires Apple Application Support 1.5.2 or greater and QuickTime 7.6.8 or greater already be installed.

              What this means is that first you will need to publish, approve, and install the Apple Application Support v1.5.2 package (or newer).

              Then you will need to publish, approve, and install the QuickTime v7.6.8 package (or newer). (Because QuickTime also requires AAS to be installed.)

              And then, the iTunes package will be installable.